package controllers

import (
	"net/http"
	"officeHours/templating"
)

func (b *BaseHandler) ConfirmRequestHandler(w http.ResponseWriter, req *http.Request) {
	secret := req.FormValue("code")
	request, err := b.requestRepo.FindBySecret(secret)

	if err != nil {
		// TODO: header 404
		templating.ServeTemplate(w, "requestNotFound", nil)
		return
	}

	err = b.requestRepo.Execute(request)
	if err != nil {
		// TODO: write header 500
		templating.ServeTemplate(w, "executeFailure", err.Error())
		return
	}
	templating.ServeTemplate(w, "executeSuccess", nil)

}
